import {Cell} from '@nutui/nutui-react-taro';
import {ArrowRight} from '@nutui/icons-react-taro'
import {useEffect, useState} from "react";
import {getUserInfo} from "@/api/layout";
import {User} from "@/api/system/user/model";

function Company() {
  const [user, setUser] = useState<User>({
    mobile: '',
    nickname: '',
    phone: '',
    password: ''
  })

  console.log(user.userId,'userId')
  const reload = () => {
    getUserInfo().then((data) => {
      setUser(data)
    })
  }

  useEffect(() => {
    reload()
  }, []);
  return (
    <div className={'p-4'}>
      {/*<div className={'px-4 py-2 text-gray-400 text-sm'}>系统设置</div>*/}
      <Cell.Group>
        <Cell title={
          <div className={'flex'}>
            <div className={'title w-16 pr-4'}>关于我们</div>
          </div>
        } align={'center'} extra={<ArrowRight color="#cccccc" size={16}/>}/>
        <Cell title={
          <div className={'flex'}>
            <div className={'title w-16 pr-4'}>隐私政策</div>
          </div>
        } align={'center'} extra={<ArrowRight color="#cccccc" size={16}/>}/>
      </Cell.Group>
      <Cell title={
        <div className={'flex'}>
          <div className={'title w-16 pr-4'}>当前版本</div>
          <div className={'extra text-gray-400'}>v1.0.32</div>
        </div>
      } align={'center'} />
    </div>
  )
}

export default Company
